gipddecode(1)

NAME
gipddecode - Decode a GIPD stream into human readable form.

SYNOPSIS
gipddecode [options] <gipd-file

DESCRIPTION
gipddecode decodes a Granite Image Printer Driver (GIPD) stream into human readable form. Granite Systems was acquired by Monotype Imaging.

A GIPD stream is the printer language used by the Lexmark X500 and the Dell 1125 MFP printers.

COMMAND LINE OPTIONS
These are the options that can appear on the command line.

-d basename
    Basename of .pbm file for saving decompressed planes.

-h  Print hex file offsets.

-o  Print file offsets.

-D level
    Set Debug level [0].

EXAMPLES
Decode an GIPD stream file.

$ gipddecode -h x500-mono.prn
     0: OFST    0       len=128
    80: OFST    1       len=128
   100: OFST    2       len=128
   180: OFST    3       len=128
   200: OFST    4       len=128
        [SNIP]
 27d80: OFST    1275    len=128
 27e00: \033%-12345X@PJL SET DISPINFOWHILEPRINT=OFF
 27e2a: @PJL SET DISPATPAPERCHANG=OFF
 27e49: @PJL SET JAMRECOVERY=ON
 27e62: @PJL SET OUTPUTBLANKPAPER=OFF
 27e81: @PJL SET PRINTSLOWLY=OFF
 27e9b: @PJL SET REVERSEPRINT=OFF
 27eb6: \033%-12345X
 27ebf: GDIJ    len=108
        unk0=0, unk1=0, unk2=0, unk3=0, unk4=0
        unk5=16777221(0x1000005), unk6=0, unk7=0, unk8=0, paper=0
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
 27f37: GDIP    len=52
        nplane = 1, w254 = 4896, h254 = 6110
        132018de, 0, 0, 0, 0, 1000000, 0, 0, 0, 0, 0, 0, 0,
 27f77: GDIB     0      len=60 (0x3c)
 27fcb: GDIB     1      len=252 (0xfc)
 280df: GDIB     2      len=124 (0x7c)
 28173: GDIB     3      len=956 (0x3bc)
 28547: GDIB     4      len=1692 (0x69c)
 28bfb: GDIB     5      len=572 (0x23c)
 28e4f: GDIB     6      len=17084 (0x42bc)
 2d123: GDIB     7      len=18108 (0x46bc)
 317f7: GDIB     8      len=8508 (0x213c)
 3394b: GDIB     9      len=1756 (0x6dc)
 3403f: GDIB    10      len=1596 (0x63c)
 34693: GDIB    11      len=892 (0x37c)
 34a27: GDIB    12      len=2332 (0x91c)
 3535b: GDIB    13      len=8380 (0x20bc)
 3742f: GDIB    14      len=3452 (0xd7c)
 381c3: GDIB    15      len=60 (0x3c)
 38217: GDIB    16      len=1468 (0x5bc)
 387eb: GDIB    17      len=2076 (0x81c)
 3901f: GDIB    18      len=284 (0x11c)
 39153: GDIB    19      len=1660 (0x67c)
 397e7: GDIB    20      len=2908 (0xb5c)
 3a35b: GDIB    21      len=156 (0x9c)
 3a40f: GDIB    22      len=188 (0xbc)
 3a4e3: GDIB    23      len=220 (0xdc)
 3a5d7: GDIB    24      len=60 (0x3c)
 3a62b: PIDG
 3a637: JIDG
Total Size = 75843 (0x12843)

FILES
/usr/bin/gipddecode

AUTHOR
Rick Richardson <rick.richardson@comcast.net>